var time = {};
time.start =  (new Date()).getTime();

window.onload = function () {
  "use strict";
  time.windowOnload = (new Date()).getTime() - time.start;
  delete(time.start);
  // console.log('window.onload: everything is ready and downloaded');
  console.log(time);
};

$(document).ready(function () {
  "use strict";
  time.jQueryReady = (new Date()).getTime() - time.start;
  // console.log('jquery doc ready: the DOM is ready, dependencies may not yet be downloaded');

  $('#switcher-default')
    .addClass('selected')
    .on('click', function () {
      $('body').removeClass('narrow');
      $('body').removeClass('large');
      $('#switcher button').removeClass('selected');
      $(this).addClass('selected');
    });

  $('#switcher-large')
    .on('click', function () {
      $('body').addClass('large');
      $('body').removeClass('narrow');
      $('#switcher button').removeClass('selected');
      $(this).addClass('selected');
    });

  $('#switcher-narrow')
    .on('click', function () {
      $('body').addClass('narrow');
      $('body').removeClass('large');
      $('#switcher button').removeClass('selected');
      $(this).addClass('selected');
    });

});
